Bug 6442 - python -c 'import gtksourceview' dumps core
: python -c 'import gtksourceview' dumps core
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/python-module-pygnome-gtksourceview)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-04-09 00:17 by
Modified: 2005-06-01 01:12 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-04-09 00:17:48
Пока это вся информация. Среда - текущий Сизиф, разумеется. Тупая пересборка из
src.rpm (как в рабочей среде, так и в hasher) не помогла, хотя раньше помогала.
Рассматривание стека вызова в core-файле к просветлению не привело. Сейчас буду
собирать pygtksourceview с отладочной информацией.
------- Comment #1 From 2005-04-09 22:10:40 -------
Нашёл, в чём было дело: не прописана зависимость на
python-module-pygnome-gnomeprint, а при отсутствующем модуле pygtksourceview не
находит ничего лучшего чем сделать Py_FatalError с невразумительным сообщением
об ошибке. Наверное, было бы здорово протолкнуть фикс для этого
невразумительного сообщения в апстрим, но для написания патча моих знаний
python-devel маловато.
------- Comment #2 From 2005-04-09 23:58:20 -------
А какое отношение к gtksourceview может иметь gnomeprint? 
------- Comment #3 From 2005-04-10 00:12:57 -------
Для привязок функций печати, вестимо :) Попробуйте сделать grep -i gnomeprint в
gnome-python-extras-%version/gtksourceview/ , там в gtksourceview.defs ответы
на
ваш вопрос лежат.
------- Comment #4 From 2005-04-10 01:33:56 -------
fixed in 2.10.0-alt2 
------- Comment #5 From 2005-04-17 13:28:01 -------
*** Bug 5752 has been marked as a duplicate of this bug. ***
------- Comment #6 From 2005-06-01 01:12:25 -------
исправлено